Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 164661 - CVE-2003-0386 host based access bypass
Summary: CVE-2003-0386 host based access bypass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openssh
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL: http://www.kb.cert.org/vuls/id/978316
Whiteboard: impact=low,public=20030604,source=bug...
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2005-07-29 19:29 UTC by Paul Waterman
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0298
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 12:53:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0298 normal SHIPPED_LIVE Low: openssh security update 2006-07-20 12:53:00 UTC

Description Paul Waterman 2005-07-29 19:29:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.7) Gecko/20050414

Description of problem:
The OpenSSH server included with RHEL 3.0 (apparently all updates) is vulnerable to CAN-2003-0386. Apparently the fix for this vulnerability has never been backported into Red Hat's openssh-server-3.6.1p2 RPMs.

An attacker can bypass IP-based AllowUser restrictions in the /etc/ssh/sshd_config file if the attacker controls reverse DNS for his system by providing a reverse DNS hostname for his machine which is the IP address allowed by the AllowUser restriction.

This vulnerability can be mitigated by turning on VerifyReverseMapping, but this is turned off by default.

Version-Release number of selected component (if applicable):
openssh-server-3.6.1p2-*

How reproducible:
Always

Steps to Reproduce:
1. Add an AllowUser restriction to /etc/ssh/sshd_config. 

E.g.:
AllowUser *@192.168.0.20

2. Restart sshd.

E.g.:
% service sshd restart

3. Set up reverse DNS to return the allowed IP address for a different machine.    

E.g.:
% host 192.168.0.40
40.0.168.192.in-addr.arpa domain name pointer 192.168.0.20.

4. From the remote host which should be disallowed, ssh to the vulnerable host.

Actual Results:  Login is allowed via ssh.

Expected Results:  The user should receive a "permission denied" message and the login should be disallowed.

Additional info:

Comment 1 Mark J. Cox 2005-08-01 14:58:11 UTC
Note: At the time of announcement the official response was:  "If you depend on
IP or DNS based access control, make sure VerifyReverseMapping is turned on in
your sshd_config file."

http://marc.theaimsgroup.com/?l=openssh-unix-dev&m=105492565028235


Comment 2 Tomas Mraz 2005-08-01 15:26:57 UTC
I've backported a patch from openssh-3.9p1.

Comment 9 Bob Johnson 2006-04-11 16:07:37 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.

Comment 13 Red Hat Bugzilla 2006-07-20 12:53:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0298.html



Note You need to log in before you can comment on or make changes to this bug.